com.hazelcast.partition.membergroup

## Class DefaultMemberGroup

- java.lang.Object
- - com.hazelcast.partition.membergroup.DefaultMemberGroup

- All Implemented Interfaces:
    MemberGroup

      public class DefaultMemberGroup
      extends Object
      implements MemberGroup

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMemberGroup()`
    `DefaultMemberGroup(Collection<Member> members)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(Member member)`
    `void` | `addMembers(Collection<Member> members)`
    `boolean` | `equals(Object obj)`
    `Set<Member>` | `getMembers()`
    `int` | `hashCode()`
    `boolean` | `hasMember(Member member)`
    `Iterator<Member>` | `iterator()`
    `void` | `removeMember(Member member)`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMemberGroup

          public DefaultMemberGroup()

    - #### DefaultMemberGroup

          public DefaultMemberGroup(Collection<Member> members)

  - ### Method Detail

    - #### addMember

          public void addMember(Member member)

      Specified by:
        `addMember` in interface `MemberGroup`

    - #### addMembers

          public void addMembers(Collection<Member> members)

      Specified by:
        `addMembers` in interface `MemberGroup`

    - #### removeMember

          public void removeMember(Member member)

      Specified by:
        `removeMember` in interface `MemberGroup`

    - #### hasMember

          public boolean hasMember(Member member)

      Specified by:
        `hasMember` in interface `MemberGroup`

    - #### getMembers

          public Set<Member> getMembers()

    - #### iterator

          public Iterator<Member> iterator()

      Specified by:
        `iterator` in interface `MemberGroup`

    - #### size

          public int size()

      Specified by:
        `size` in interface `MemberGroup`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.